<template>
  <div class="action-buttons">
    <div class="btn" @click="$emit('share')">
      <button>
        <font-awesome-icon icon="share-alt" />
        <span>Chia sẻ</span>
      </button>
    </div>
    <div class="btn">
      <button @click="$emit('download')">
        <font-awesome-icon icon="download" />
        <span>Tải xuống</span>
      </button>
    </div>
    <div v-if="hasCancelBtn" class="btn">
      <button class="outline" @click="$emit('cancel')">
        <font-awesome-icon icon="times" />
        <span>Chọn lại</span>
      </button>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator';

@Component
export default class ActionButtonsComponent extends Vue {
  @Prop({ type: Boolean, default: false }) hasCancelBtn!: boolean;
}
</script>

<style lang="scss" scoped>
.action-buttons {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-top: 1vh;

  .btn {
    margin: 0 1.2vh;

    button {
      color: white;
      font-family: 'Montserrat', san-serif;
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      background-color: $primary;
      border-radius: 1vh;
      border: 1px solid $primary;
      outline: none;
      padding: 1vh 2vh;
      font-size: 2vh;

      &:hover {
        cursor: pointer;
      }

      &.outline {
        background-color: transparent;
      }

      svg {
        height: 2vh;
        margin-right: 5px;
      }
    }
  }
}

@include Orientation(Landscape) {
  .action-buttons {
    .btn {
      button {
        font-size: 1.5vw;

        svg {
          height: 2vw;
        }
      }
    }
  }
}
</style>
